Author Topic: _HideObjects  (Read 2368 times)

0 Members and 1 Guest are viewing this topic.

martinle

  • Newt
  • Posts: 22
_HideObjects
« on: September 21, 2012, 04:56:52 AM »
Hello!

For example I have 5 single hidden objects with the command _HideObjects individually.
Now I need as 3 Objekt.Die remaining 4 hidden objects but will remain hidden.
Is there a way individual choice sets that were hidden with the command _HideObjects unhide without all the hidden objects with the command _UnIsolateObjects unhide.
If such a thing would be really great!

Best regards Martin

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: _HideObjects
« Reply #1 on: September 24, 2012, 12:17:02 AM »

kdub:edit <-- moved to Lisp Forum at OP's request
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

jbuzbee

  • Swamp Rat
  • Posts: 851
Re: _HideObjects
« Reply #2 on: September 24, 2012, 09:15:35 AM »
You might want to look at the Objects 'visibility property.  Consider the following:

Code: [Select]
(defun c:kbVizOff( / ent)
  (setq ent(entsel))
  (if ent
      (vla-put-Visible(vlax-ename->vla-object(car ent)):vlax-false)))

I've gone ahead and attached my Visibility routine.  It includes an OpenDCL dialog that allows isolating an object, turning off / on a selection of objects, and turning on all objects.  I wrote this when Building 3d models - helps out when the model gets really complex.

You need to download the OpenDCL runtime to use the form: www.OpenDCL.com

jb
James Buzbee
Windows 8

martinle

  • Newt
  • Posts: 22
Re: _HideObjects
« Reply #3 on: September 25, 2012, 12:25:28 AM »
Hello jbuzbee

OpenDCL have installed and loaded the lisp.
It follows, however, the following error message: no function definition: DCL_PROJECT_IMPORT.

What am I doing wrong?

Best regards Martin :-(

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: _HideObjects
« Reply #4 on: September 25, 2012, 12:36:52 AM »

James,
A couple of things missing ... crapped out before any dialog.

Quote
Visibility Commands loaded!
Command:
Command: KBVMANAGER
; error: no function definition: KB:DWGHASXREFS
Command:
Command: KBISOLATE
Select objects: Specify opposite corner: 1 found
Select objects:
; error: no function definition: KB:GETACTIVESPACE
Command:
Command: KBVISOFF
Select objects: Specify opposite corner: 1 found
Select objects:
Command:
Command: KBVISALLON
; error: no function definition: KB:GETACTIVESPACE
Command:
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

jbuzbee

  • Swamp Rat
  • Posts: 851
Re: _HideObjects
« Reply #5 on: September 25, 2012, 07:40:39 AM »
Ok, guys - sorry.  I have common subs in other files - I'll piece together a working routine today.

jb

Kerry - thanks! That Helps!!
James Buzbee
Windows 8

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: _HideObjects
« Reply #6 on: September 25, 2012, 08:23:07 AM »
You're welcome James.

It threw me for a little while, I thought the functionName prefix was mine :)

it's a good thing I changed mine to my ADN registered prefix a couple of years ago.
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

jbuzbee

  • Swamp Rat
  • Posts: 851
Re: _HideObjects
« Reply #7 on: September 25, 2012, 10:18:17 AM »
Kerry,

I know - mine has always been jb: but when we went completely private I changed it kb: (KBStudio - our old business)

The attached should work.  Command_kbVisibilityManager.lsp contains everything needed to run the routine.  The other two files are used for defining / editing the OpenDCL form.

jb
James Buzbee
Windows 8